"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const findInDir = (dir, filter, fileList = []) => {
    const files = fs.readdirSync(dir);
    files.forEach(file => {
        const filePath = path.join(dir, file);
        const fileStat = fs.lstatSync(filePath);
        if (fileStat.isDirectory()) {
            findInDir(filePath, filter, fileList);
        }
        else if (filter.test(filePath)) {
            fileList.push(filePath);
        }
    });
    return fileList;
};
exports.findInDir = findInDir;
//# sourceMappingURL=findInDir.js.map